### Method

# Ggit IndexEntryResolveUndo get_mode

#### Declaration [src]

    guint
    ggit_index_entry_resolve_undo_get_mode (
      GgitIndexEntryResolveUndo* entry,
      gint stage
    )

#### Description [src]

Get the mode of the index entry. The returned mode contains the modes from stage 1, 2 and 3.

#### Parameters

`stage`

  Type: `gint`

  The stage (0, 1 or 2).

#### Return value

Type: `guint`

The mode.